Name:           frotz
Version:        2.43
Release:        25%{?dist}
Summary:        Interpreter for Infocom and other Z-machine games

License:        GPLv2+
URL:            http://www.cs.csubak.edu/~dgriffi/proj/frotz/
Source0:        http://www.cs.csubak.edu/~dgriffi/proj/frotz/files/frotz-2.43.tar.gz
Patch1:         frotz-2.43-Makefile.patch
Patch2:         frotz-2.43-conf.patch

BuildRequires:  gcc
BuildRequires:  ncurses-devel

%description
Frotz is an interpreter for Infocom games and other Z-machine games.  It
complies with standard 1.0 of Graham Nelson's specification.

Free Z-machine game file downloads, as well as more information about
Infocom, Z-machine games, and interactive fiction can be found at the
Interactive Fiction Archive, http://mirror.ifarchive.org/.


%prep
%setup -q
%patch1 -p1
%patch2 -p1


%build
sed -i -e "s|@@OPTS@@|$RPM_OPT_FLAGS|" Makefile
make %{?_smp_mflags}


%install
install -d -m0755 $RPM_BUILD_ROOT/%{_bindir}
install -d -m0755 $RPM_BUILD_ROOT/%{_sysconfdir}
install -d -m0755 $RPM_BUILD_ROOT/%{_mandir}/man6
install -m0755 frotz $RPM_BUILD_ROOT/%{_bindir}
install -m0644 doc/frotz.6 $RPM_BUILD_ROOT/%{_mandir}/man6
install -m0644 doc/frotz.conf-big $RPM_BUILD_ROOT/%{_sysconfdir}/frotz.conf


%files
%doc AUTHORS BUGS ChangeLog COPYING DUMB HOW_TO_PLAY README SPEECH TODO
%doc doc/frotz.conf*
%{_bindir}/frotz
%{_mandir}/man6/frotz.6*
%config(noreplace) %{_sysconfdir}/frotz.conf


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.43-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.43-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.43-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.43-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.43-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.43-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.43-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 22 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.43-18
- Use '|' instead of '/' as pattern-delimiter in sed expression to filter
  CFLAGS (Fix FTBFS).

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.43-7
- Autorebuild for GCC 4.3

* Wed Oct 31 2007 Chris Grau <chris@chrisgrau.com> 2.43-6
- Fixed license tag.

* Thu Sep 14 2006 Chris Grau <chris@chrisgrau.com> 2.43-5
- Rebuild for FC-6.

* Wed Mar 01 2006 Chris Grau <chris@chrisgrau.com> 2.43-4
- Rebuild for FC-5.

* Tue Jul 19 2005 Chris Grau <chris@chrisgrau.com> 2.43-3
- Changed sed command to edit Makefile in place (Michael Schwendt).
- Removed compression of the man page (Michael Schwendt).

* Tue Jul 19 2005 Chris Grau <chris@chrisgrau.com> 2.43-2
- Split up patch files.
- Added a pointer to the IF archive to the %%description.

* Thu Jul 07 2005 Chris Grau <chris@chrisgrau.com> 2.43-1
- Initial build.
